Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Invoice
  • About the AutoCollect API
  • Getting started with the AutoCollect API
  • Webhooks
  • Example Workflow
  • Batches
    • GetBatchById
      GET
    • GetBatchesByOrganization
      GET
    • GetBatchById - Legacy (To be removed)
      GET
  • Collections
    • AcceptDebtCollectionList
      POST
    • RejectDebtCollectionList
      POST
    • PauseCase
      POST
    • WithdrawCase
      POST
    • ResumeCase
      POST
  • Correction
    • CreateCorrections
      POST
  • Invoice
    • CreateInvoices
      POST
    • GetInvoicesByOrganization
      GET
    • GetInvoiceById
      GET
  • Payment
    • CreatePayments
      POST
  • Settlement
    • GetSettlements
      GET
    • GetSettlement on Id
      GET
  • AutoCollect Legacy API
    • Attachment
      • /webapi/api/Attachment
    • Batch
      • /webapi/api/Batch
      • /webapi/api/Batch
    • Ping
      • /webapi/api/Ping
  1. Invoice

GetInvoiceById

GET
/orgs/{organizationId}/invoices/{invoiceId}
Endpoints for organization management operations

Request

Authorization
Path Params

Responses

🟢200OK
application/json
OK
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠409Conflict
🟠422Unprocessable Entity
🔴500Internal Server Error
🔴503Service Unavailable
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/orgs//invoices/'
Response Response Example
200 - Example 1
{
    "summary": {
        "status": "string",
        "nextPageToken": "string"
    },
    "data": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "organization": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "organizationNumber": "string",
            "name": "string"
        },
        "invoiceNumber": "string",
        "collectionCaseNumber": "string",
        "type": "PAYMENT_REMINDER",
        "status": "OPEN",
        "createdAt": "2019-08-24T14:15:22.123Z",
        "closedAt": "2019-08-24T14:15:22.123Z",
        "originalInvoiceAmount": 0,
        "currency": "string",
        "invoiceDate": "2019-08-24T14:15:22.123Z",
        "dueDate": "2019-08-24T14:15:22.123Z",
        "ocrReferenceNumber": "string",
        "uniqueSourceInvoiceId": "string",
        "claims": [
            {
                "type": "PRINCIPAL",
                "originalAmount": 0,
                "currentAmount": 0,
                "remainingAmount": 0,
                "paidAmount": 0,
                "creditedAmount": 0,
                "currency": "string",
                "invoiceId": "4f163819-178d-470c-a246-d6768476a6ec"
            }
        ],
        "debtors": [
            {
                "type": "PRIVATE",
                "firstname": "string",
                "lastname": "string",
                "name": "string",
                "customerNumber": "string",
                "identificationNumber": "string",
                "organizationNumber": "string",
                "dateOfBirth": "2019-08-24",
                "emails": [
                    {
                        "value": "string"
                    }
                ],
                "phoneNumbers": [
                    {
                        "countryCode": "string",
                        "originalValue": "string",
                        "value": "string"
                    }
                ],
                "addresses": [
                    {
                        "street": "string",
                        "city": "string",
                        "zipCode": "string",
                        "countryCode": "string"
                    }
                ]
            }
        ],
        "currentAmount": 0,
        "remainingAmount": 0,
        "paidAmount": 0,
        "creditedAmount": 0
    }
}
Modified at 2026-04-20 10:17:34
Previous
GetInvoicesByOrganization
Next
CreatePayments
Built with